#!/usr/bin/python3
# -*- coding: utf-8 -*-
__author__ = "huangsheng"

import os
import sys
# reload(sys)
# sys.setdefaultencoding('utf8')
import logging
import logging.handlers
import syslog


class LogManager():
    LOG = None

    @classmethod
    def INSTALL(self, msg):
        try:
            syslog.openlog("kylin-update-manager-install",syslog.LOG_PID,syslog.LOG_USER)
            syslog.syslog(syslog.LOG_INFO, msg)
            syslog.closelog()
            return True
        except Exception as e:
            # print("syslog failed: ", e)
            return False

    @classmethod
    def INFO(self, msg):
        try:
            syslog.openlog("kylin-update-manager-kum",syslog.LOG_PID,syslog.LOG_USER)
            syslog.syslog(syslog.LOG_INFO, msg)
            syslog.closelog()
            return True
        except Exception as e:
            # print("syslog failed: ", e)
            return False

    @classmethod
    def WARN(self, msg):
        try:
            syslog.openlog("kylin-update-manager-kum",syslog.LOG_PID,syslog.LOG_USER)
            syslog.syslog(syslog.LOG_WARNING, msg)
            syslog.closelog()
            return True
        except Exception as e:
            # print("syslog failed: ", e)
            return False

    @classmethod
    def ERR(self, msg):
        try:
            syslog.openlog("kylin-update-manager-kum",syslog.LOG_PID,syslog.LOG_USER)
            syslog.syslog(syslog.LOG_ERR, msg)
            syslog.closelog()
            return True
        except Exception as e:
            # print("syslog failed: ", e)
            return False

    @classmethod
    def CRI(self, msg):
        try:
            syslog.openlog("kylin-update-manager-kum",syslog.LOG_PID,syslog.LOG_USER)
            syslog.syslog(syslog.LOG_CRIT, msg)
            syslog.closelog()
            return True
        except Exception as e:
            # print("syslog failed: ", e)
            return False


#
# 函数：初始化日志系统
#
# def init_log():

    # cache_dir = os.environ.get('XDG_CACHE_HOME','').strip()
    # if not cache_dir:
    #     cache_dir = os.path.expanduser("~/.cache")
    # log_file = os.path.join(cache_dir, "kum.log")
    # LogManager.LOG = logging.getLogger("KUM")
    # LogManager.LOG.propagate = False
    # LogManager.LOG.setLevel(logging.DEBUG)
    # log_handler = logging.handlers.RotatingFileHandler(log_file, maxBytes=1024*1024, backupCount=5)
    # log_formatter = logging.Formatter("[%(asctime)s - %(levelname)s - %(message)s")
    # log_handler.setFormatter(log_formatter)
    # LogManager.LOG.addHandler(log_handler)

